# Generated by Django 2.2.11 on 2020-03-26 16:30

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('productos', '0008_sucursal'),
    ]

    operations = [
        migrations.CreateModel(
            name='CarritoCompras',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('precio', models.FloatField()),
                ('direccionEnvio', models.CharField(max_length=300)),
                ('datosPayu', models.CharField(max_length=600)),
                ('fechaRealizado', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creación')),
                ('producto', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='producto_carrito', to='productos.Producto')),
                ('sucursal', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='carrito_sucursal', to='productos.Sucursal')),
                ('usuario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='carrito_usuario', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Carrito de compras',
                'verbose_name_plural': 'Carritos de compras',
                'ordering': ['-fechaRealizado'],
            },
        ),
    ]
